import request from '@/utils/request'
//

// 新增/编辑
export function add(data) {
  return request({
    url: '/web/relationship',
    method: 'post',
    data: data
  })
}
// 新增/编辑
export function update(data) {
  return request({
    url: '/web/relationship',
    method: 'put',
    data: data
  })
}
// 详情
export function getInfo(resourcesId) {
  return request({
    url: '/web/relationship/'+resourcesId,
    method: 'get',
  })
}
// 删除
export function remove(resourcesId) {
  return request({
    url: '/web/relationship/'+resourcesId,
    method: 'delete',
  })
}
// 导出
export function exportList() {
  return request({
    url: '/web/relationship/export',
    method: 'get',
  })
}
// 列表
export function list(params) {
  return request({
    url: '/web/relationship/list',
    method: 'get',
    params:params
  })
}
// 列表
export function tree(params) {
  return request({
    url: '/web/relationship/getRelationshipList',
    method: 'get',
    params:params
  })
}
